package com.bernard.greposimu.model.game.queues;

import com.bernard.greposimu.model.game.Building;
import com.bernard.greposimu.model.game.Resources;
import com.bernard.greposimu.model.runtime.Timestamp;

public class BuildingQueueItem extends QueueItem {
	
	public BuildingQueueItem(long buildingTime, Building building, boolean tearingDown, Timestamp beginTime,
			Timestamp endTime, Resources refund, Resources cost) {
		this.buildingTime = buildingTime;
		this.building = building;
		this.tearingDown = tearingDown;
		this.beginTime = beginTime;
		this.endTime = endTime;
		this.refund = refund;
		this.cost = cost;
	}
	long buildingTime;
	
	// the building being built
	Building building;
	boolean tearingDown;
	
	Timestamp beginTime;
	Timestamp endTime;
	
	Resources refund;
	Resources cost;
	
	public long getBuildingTime() {
		return buildingTime;
	}
	public Building getBuilding() {
		return building;
	}
	public boolean isTearingDown() {
		return tearingDown;
	}
	public Timestamp getBeginTime() {
		return beginTime;
	}
	public Timestamp getEndTime() {
		return endTime;
	}
	public Resources getRefund() {
		return refund;
	}
	public Resources getCost() {
		return cost;
	}
	
	
	
}
